Documentation Center

Fetch Language Configuration

Fetches the configuration for the specified language of the specified publication.

Request will fail and return the 404 result model if the publication or language does not exist, or if the publication or language is hidden and the user does not have permission to access hidden publications.

Request

URI: /v2/content/{pub}/{lang}/config

HTTP Method: GET

Header params:
  • Accept: [application/json] OR [application/xml]
PATH Parameter(s):
  • pub: publication ID
  • lang: publication language

Response

Success
  • XML: <lang code="en"> <configitem name="title" value="LiveContent Reach Documentation"></configitem> <configitem name="visible" value="visible"></configitem> </lang>
  • JSON: {"code":"en", "visible":true, "configitem":[ {"name":"title", "value":"LiveContent Reach Documentation"}, {"name":"visible", "value":"visible"}]}
Failed
  • XML: <result message="The requested publication or language version does not exist." messageKey="pubs.nonexist" status="FAIL" statusCode="404"/>
  • JSON: {"statusCode":404, "messageKey":"pubs.nonexist", "message":"The requested publication or language version does not exist.", "status":"FAIL", "info":[]}

Permissions

"Use application"

Example

Request:

GET http://example.corp:8080/LiveContent/v2/content/LiveContentDoc/en/config

Accept: application/xml

Response:

<lang code="en"> <configitem name="title" value="LiveContent Reach Documentation"></configitem> <configitem name="toc" value="GUID-FEC8FA08-E122-46F2-81CC-2B839CCFEE6C"></configitem> <configitem name="visible" value="visible"></configitem> <configitem name="test" value="post test"></configitem> <configitem name="shortdesc" value="This publication about instalation, maintenance and usage of the API in SDL LiveContent Reach"></configitem> <configitem name="prepared" value="prepared"></configitem> <configitem name="working_status" value="unlocked"></configitem> <configitem name="filter.file" value=""></configitem> <configitem name="filter.file.empty" value="1"></configitem> </lang>